# Nigel's Container Registry
job "ncr" {
    type = "service"

    group "ncr" {
        count = 1
        network {
            port "docker" {
                static = 5000
            }
        }

        service {
            name = "ncr"
            port = "docker"
            provider = "nomad"
        }

        volume "container_images" {
            type = "host"
            read_only = false
            source = "registry"
        }

        restart {
            attempts = 10
            interval = "5m"
            delay    = "30s"
            mode     = "delay"
        }

        task "ncr" {
            driver = "docker"

            volume_mount {
                volume      = "container_images"
                destination = "/registry/data"
                read_only   = false
            }
            config {
                image = "registry:latest"
                ports = [ "docker" ]
            }
        }
    }
}